Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.core
Class GenderHistoryType

    java.lang.Object
      be.fgov.ehealth.consultrn._1_0.core.HistoryType
          be.fgov.ehealth.consultrn._1_0.core.GenderHistoryType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:56:41+02:00",
               comments="JAXB RI v2.2.11")
    public class GenderHistoryType

extends HistoryType
implements Serializable

Java class for GenderHistoryType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenderHistoryType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:consultRN:1_0:core}HistoryType">
           <sequence>
             <element name="Gender" type="{urn:be:fgov:ehealth:consultRN:1_0:core}GenderType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GenderHistoryType()`

Method Summary
`GenderType` | `getGender()` Gets the value of the gender property.
`void` | `setGender(GenderType value)` Sets the value of the gender property.

Methods inherited from class be.fgov.ehealth.consultrn._1_0.core.HistoryType
`getEffectuationDate, getModificationDate, getSource, setEffectuationDate, setModificationDate, setSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenderHistoryType

    public GenderHistoryType()

Method Detail

### getGender

    public GenderType getGender()

  Gets the value of the gender property.

  Returns:
    possible object is `GenderType`

### setGender

    public void setGender(GenderType value)

  Sets the value of the gender property.

  Parameters:
    `value` - allowed object is `GenderType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.